<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.dsk.cscec.mapper.CbDirectExpenseMapper">

    <select id="selectMenuData" resultType="com.dsk.cscec.domain.vo.CbDirectExpenseMenuVo">
        select cde.id menuId, cde.parent_id, cde.expense_name menuName, cde.level menuLevel
        from cb_direct_expense cde
        where cde.project_id = #{projectId}
<!--          and cde.expense_category_tag regexp #{regx}-->
          and cde.expense_category_tag in ('1','2','3')
          and cde.del_flag = #{deleteFlagExist}
        order by cde.sort
    </select>
</mapper>

